## aioeagle 1.1.0

=== requirements.txt ===
aiohttp
xmltodict

=== debian/changelog ===
aioeagle (1.1.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 31 Jul 2024 09:02:21 +0900

aioeagle (1.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1076719)

 -- Edward Betts <edward@4angle.com>  Tue, 23 Jul 2024 06:23:23 +0900

=== debian/control ===
Source: aioeagle
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-aiohttp <!nocheck>,
               python3-all,
               python3-setuptools,
               python3-xmltodict <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/home-assistant-libs/aioeagle
Vcs-Browser: https://salsa.debian.org/python-team/packages/aioeagle
Vcs-Git: https://salsa.debian.org/python-team/packages/aioeagle.git

Package: python3-aioeagle
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Asynchronous Python library for interfacing with Rainforest EAGLE-200 energy meters
 This Python library provides asynchronous capabilities for interacting with
 Rainforest EAGLE-200 devices, enabling real-time data querying and management
 of home energy meters. It utilizes aiohttp for efficient network communications
 within an asyncio-driven architecture, suitable for modern asynchronous
 applications.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=aioeagle

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf aioeagle.egg-info/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/aioeagle-$1\.tar\.gz/ \
  https://github.com/home-assistant-libs/aioeagle/tags .*/v?(\d\S+)\.tar\.gz
